<?php
// Plugin definition
$plugin = array(
  'title' => t('All Tiles'),
  'icon' => 'ocio-omega-all-tiles.png',
  'category' => t('WCM Layouts'),
  'theme' => 'ocio_omega_all_tiles',
  'css' => 'ocio-omega-all-tiles.css',
  'regions' => array(
    'header' => t('Header'),
    'tiles_header1' => t('Tiles Header 1'),
    'tile1' => t('Tile 1'),
    'tile2' => t('Tile 2'),
    'tile3' => t('Tile 3'),
    'tile4' => t('Tile 4'),
    'tile5' => t('Tile 5'),
    'tile6' => t('Tile 6'),
    'tiles_header2' => t('Tiles Header 2'),
    'tile7' => t('Tile 7'),
    'tile8' => t('Tile 8'),
    'tile9' => t('Tile 9'),
    'tile10' => t('Tile 10'),
    'tile11' => t('Tile 11'),
    'tile12' => t('Tile 12'),
    'tiles_header3' => t('Tiles Header 3'),
    'tile13' => t('Tile 13'),
    'tile14' => t('Tile 14'),
    'tile15' => t('Tile 15'),
    'tile16' => t('Tile 16'),
    'tile17' => t('Tile 17'),
    'tile18' => t('Tile 18'),
  ),
);

/**
 * Implements hook_preprocess_ocio_omega_all_tiles().
 */
function template_preprocess_ocio_omega_all_tiles(&$vars) {
  $rows = array(
    'header' => array('header'),
    'tiles_set_1' => array('tiles_header1','tile1', 'tile2', 'tile3', 'tile4', 'tile5', 'tile6'),
    'tiles_set_2' => array('tiles_header2','tile7', 'tile8', 'tile9', 'tile10', 'tile11', 'tile12'),
    'tiles_set_3' => array('tiles_header3','tile13', 'tile14', 'tile15', 'tile16', 'tile17', 'tile18'),
  );

  $vars['panels_row'] = ocio_omega_base_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_base_panel_row_classes();
}
